当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 6 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : emacs 升级出错!!
帖子发表于 : 2007-11-30 18:33 
头像

注册: 2006-08-27 12:33
帖子: 24
地址: 西安
送出感谢: 0 次
接收感谢: 0 次
我装的是源里面的emacs,应该是emacs22。
最近升级了,升级的过程中出现了错误。

错误如下:


正在设置 emacs22-gtk (22.1-0ubuntu4~feisty2) ...
Byte-compiling add-on packages, please wait... failed.

!! Byte-compilation for emacs22 failed!
!! This indicates a bug in one of the add-on packages
!! installed on your system, or a bug in Emacs itself.
!! Please file a bug report against emacs22
!! and attach the file /tmp/emacs22.Dg5492
dpkg:处理 emacs22-gtk (--configure)时出错:
子进程·post-installation script·返回了错误号·1
正在设置 emacs22 (22.1-0ubuntu4~feisty2) ...
Byte-compiling add-on packages, please wait... failed.

!! Byte-compilation for emacs22 failed!
!! This indicates a bug in one of the add-on packages
!! installed on your system, or a bug in Emacs itself.
!! Please file a bug report against emacs22
!! and attach the file /tmp/emacs22.IZ5575
dpkg:处理 emacs22 (--configure)时出错:
子进程·post-installation script·返回了错误号·1
正在设置 emacs22-nox (22.1-0ubuntu4~feisty2) ...
Byte-compiling add-on packages, please wait... failed.

!! Byte-compilation for emacs22 failed!
!! This indicates a bug in one of the add-on packages
!! installed on your system, or a bug in Emacs itself.
!! Please file a bug report against emacs22
!! and attach the file /tmp/emacs22.ka5659
dpkg:处理 emacs22-nox (--configure)时出错:
子进程·post-installation script·返回了错误号·1
dpkg:依赖关系问题使得 emacs 的配置工作不能继续:
emacs 依赖于 emacs22-gtk | emacs22 | emacs22-nox;然而:
软件包 emacs22-gtk 还没有被配置。
软件包 emacs22 还没有被配置。
软件包 emacs22-nox 提供了 emacs22,但是它还没有配置好。
软件包 emacs22-gtk 提供了 emacs22,但是它还没有配置好。
软件包 emacs22-nox 还没有被配置。
dpkg:处理 emacs (--configure)时出错:
依赖关系问题 - 仍未被配置
在处理时有错误发生:
emacs22-gtk
emacs22
emacs22-nox
emacs
E: Sub-process /usr/bin/dpkg returned an error code (1)

/tmp/emacs22.Dg5492 内容如下:

emacs-install emacs22
install/auctex: Ignoring emacsen flavor: "emacs22".
install/calc: Ignoring emacs22, it comes with its own calc.
install/cedet-common: Handling install for emacsen flavor emacs22
Loading subst-jis...
Loading subst-ksc...
Loading subst-big5...
Loading subst-gb2312...
Wrote /usr/share/emacs22/site-lisp/cedet-common/cedet-autogen.elc
Wrote /usr/share/emacs22/site-lisp/cedet-common/cedet-compat.elc
Wrote /usr/share/emacs22/site-lisp/cedet-common/cedet-edebug.elc
Wrote /usr/share/emacs22/site-lisp/cedet-common/cedet-load.elc
Wrote /usr/share/emacs22/site-lisp/cedet-common/cedet.elc
Wrote /usr/share/emacs22/site-lisp/cedet-common/ezimage.elc
Wrote /usr/share/emacs22/site-lisp/cedet-common/fame.elc
Wrote /usr/share/emacs22/site-lisp/cedet-common/inversion.elc
Wrote /usr/share/emacs22/site-lisp/cedet-common/mode-local.elc
Wrote /usr/share/emacs22/site-lisp/cedet-common/pprint.elc
Wrote /usr/share/emacs22/site-lisp/cedet-common/sformat.elc
Wrote /usr/share/emacs22/site-lisp/cedet-common/working.elc
install/dictionaries-common: Byte-compiling for emacsen flavour emacs22
Loading subst-jis...
Loading subst-ksc...
Loading subst-big5...
Loading subst-gb2312...
Wrote /usr/share/emacs22/site-lisp/dictionaries-common/debian-ispell.elc
Wrote /usr/share/emacs22/site-lisp/dictionaries-common/ispell.elc
Wrote /usr/share/emacs22/site-lisp/dictionaries-common/flyspell.elc
install/emacs-color-themes: Handling install for emacsen flavor emacs22
Loading subst-jis...
Loading subst-ksc...
Loading subst-big5...
Loading subst-gb2312...
Wrote /usr/share/emacs22/site-lisp/emacs-color-themes/color-theme.elc
emacsen-common: Handling install of emacsen flavor emacs22
emacsen-common: byte-compiling for emacs22
Loading subst-jis...
Loading subst-ksc...
Loading subst-big5...
Loading subst-gb2312...
Wrote /etc/emacs22/site-start.d/00debian-vars.elc
Wrote /usr/share/emacs22/site-lisp/debian-startup.elc
install/gtk-doc-tools: Handling install for emacsen flavor emacs22
Loading subst-jis...
Loading subst-ksc...
Loading subst-big5...
Loading subst-gb2312...
Wrote /usr/share/emacs22/site-lisp/gtk-doc-tools/gtk-doc.elc
install/speedbar: Handling install for emacsen flavor emacs22
Loading subst-jis...
Loading subst-ksc...
Loading subst-big5...
Loading subst-gb2312...
Source file `/usr/share/emacs22/site-lisp/speedbar/dframe.el' newer than byte-compiled file
Wrote /usr/share/emacs22/site-lisp/speedbar/bigclock.elc

In dframe-frame-mode:
dframe.el:343:29:Warning: `make-variable-buffer-local' should be called at
toplevel
dframe.el:319:38:Warning: `make-variable-buffer-local' should be called at
toplevel
Wrote /usr/share/emacs22/site-lisp/speedbar/dframe.elc

In toplevel form:
rpm.el:40:1:Error: Wrong type argument: stringp, nil

In toplevel form:
sb-ant.el:45:1:Error: Wrong type argument: stringp, nil

In toplevel form:
sb-gud.el:50:1:Error: Wrong type argument: stringp, nil

In toplevel form:
sb-html.el:53:1:Error: Wrong type argument: stringp, nil

In toplevel form:
sb-image.el:38:1:Error: Wrong type argument: stringp, nil

In toplevel form:
sb-info.el:61:1:Error: Wrong type argument: stringp, nil
Wrote /usr/share/emacs22/site-lisp/speedbar/sb-rmail.elc

In toplevel form:
sb-texinfo.el:98:1:Error: Wrong type argument: stringp, nil

In toplevel form:
sb-w3.el:58:1:Error: Wrong type argument: stringp, nil
Wrote /usr/share/emacs22/site-lisp/speedbar/speedbar-load.elc

In toplevel form:
speedbar.el:67:1:Error: Wrong type argument: stringp, nil
emacs-install: /usr/lib/emacsen-common/packages/install/speedbar emacs22 emacs21 xemacs21 failed at /usr/lib/emacsen-common/emacs-install line
28, <TSORT> line 14.

不知道大家遇到相似的清况没有?


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-12-01 19:04 
头像

注册: 2006-08-27 12:33
帖子: 24
地址: 西安
送出感谢: 0 次
接收感谢: 0 次
没有人知道...............
:( :(


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-12-05 16:56 

注册: 2007-07-29 16:09
帖子: 65
送出感谢: 0 次
接收感谢: 0 次
你把emacs22-gtk 删了再装一遍emacs22 emacs22-common emacs22-bin 和emacs-nox试试,


页首
 用户资料  
 
4 楼 
 文章标题 : Re: emacs 升级出错!!
帖子发表于 : 2009-05-20 10:25 

注册: 2009-05-18 9:57
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
我的也出一样的问题了。还没有解决。
9.04


页首
 用户资料  
 
5 楼 
 文章标题 : Re: emacs 升级出错!!
帖子发表于 : 2009-05-20 10:30 

注册: 2009-05-18 9:57
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
卸载也出问题,晕的很。
ubuntu是不是没有测试过emacs安装阿?
:em20


页首
 用户资料  
 
6 楼 
 文章标题 : Re: emacs 升级出错!!
帖子发表于 : 2009-05-20 16:42 

注册: 2008-09-30 7:28
帖子: 31
送出感谢: 0 次
接收感谢: 0 次
test


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 6 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译